[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#587214: ITP: libppix-utilities-perl -- Perl module containing extensions to PPI

Package: wnpp
Owner: Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com>
Severity: wishlist
X-Debbugs-CC: debian-devel@lists.debian.org,debian-perl@lists.debian.org

* Package name    : libppix-utilities-perl
  Version         : 1.000001
  Upstream Author : Elliot Shank <perl@galumph.com>
* URL             : http://search.cpan.org/dist/PPIx-Utilities/
* License         : Artistic or GPL-1+
  Programming Lang: Perl
  Description     : Perl module containing extensions to PPI

This is a collection of functions for dealing with PPI objects, many of which
originated in Perl::Critic. They are organized into modules by the kind of
PPI class they relate to, by replacing the "PPI" at the front of the module
name with "PPIx::Utilities", e.g. functionality related to PPI::Nodes is in

Note: libppix-utilities-perl will be needed as dependency for updated
      libperl-critic- perl module and thus needs to be packaged.

Reply to: